API Explorer 936 endpoints

Get View Permissions

GET /obp/v7.0.0/management/view-permissions

OBPv6.0.0-getViewPermissions Roles: CanGetViewPermissionsAtAllBanks View-SystemView-Custom

Get a list of all available view permissions.

This endpoint returns all the available permissions that can be assigned to views, organized by category. These permissions control what actions and data can be accessed through a view.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

The response contains all available view permission names that can be used in the allowed_actions field when creating or updating custom views.

JSON response body fields (3)
category
permission
permission
permissions
Example success response
{
  "permissions": [
    {
      "permission": "can_see_transaction_amount",
      "category": "Transaction"
    },
    {
      "permission": "can_see_bank_account_balance",
      "category": "Account"
    },
    {
      "permission": "can_create_custom_view",
      "category": "View"
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getViewPermissions Originally /obp/v6.0.0/management/view-permissions